Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
WirelessTimeline Class Reference
Inheritance diagram for WirelessTimeline:

## Public Slots
void | bgColorizationProgress (int first, int last)
void | selectedFrameChanged (int frameNum)
void | appInitialized ()

## Public Member Functions
| WirelessTimeline (QWidget *parent)
void | setPacketList (PacketList *packet_list)
void | captureFileReadStarted (capture_file *cf)
void | captureFileReadFinished ()

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)
void | paintEvent (QPaintEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
bool | event (QEvent *event)
void | wheelEvent (QWheelEvent *event)
struct wlan_radio * | get_wlan_radio (guint32 packet_num)
void | clip_tsf ()
int | position (guint64 tsf, float ratio)
int | find_packet_tsf (guint64 tsf)
void | doToolTip (struct wlan_radio *wr, QPoint pos, int x)
void | zoom (double x_fraction)
guint | find_packet (qreal x)

## Static Protected Member Functions
static void | tap_timeline_reset (void *tapdata)
static gboolean | tap_timeline_packet (void *tapdata, packet_info *pinfo, epan_dissect_t *edt, const void *data)

## Protected Attributes
double | zoom_level
qreal | start_x
qreal | last_x
PacketList * | packet_list
float | rgb [TIMELINE_HEIGHT][3]
guint64 | start_tsf
guint64 | end_tsf
int | first_packet
struct wlan_radio * | first
struct wlan_radio * | last
capture_file * | capfile
GHashTable * | radio_packet_list

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/wireless_timeline.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/wireless_timeline.cpp